<?php
include 'header.php';
include 'erpc_financeiro_contas_pagar_toolbar.php';
require_once 'connect.php';


// 1->Despesas | 2->Receita
$id_despesa = 2;
$id_receita = 1;

/*
$consulta 	= 	"SELECT 
								SUM(IF(nr_mes =  '1', vl_total, 0)) AS 'janeiro',
								SUM(IF(nr_mes =  '2', vl_total, 0)) AS 'fevereiro',
								SUM(IF(nr_mes =  '3', vl_total, 0)) AS 'março',
								SUM(IF(nr_mes =  '4', vl_total, 0)) AS 'abril',
								SUM(IF(nr_mes =  '5', vl_total, 0)) AS 'maio',
								SUM(IF(nr_mes =  '6', vl_total, 0)) AS 'junho',
								SUM(IF(nr_mes =  '7', vl_total, 0)) AS 'julho',
								SUM(IF(nr_mes =  '8', vl_total, 0)) AS 'agosto',
								SUM(IF(nr_mes =  '9', vl_total, 0)) AS 'setembro',
								SUM(IF(nr_mes = '10', vl_total, 0)) AS 'outubro',
								SUM(IF(nr_mes = '11', vl_total, 0)) AS 'novembro',
								SUM(IF(nr_mes = '12', vl_total, 0)) AS 'dezembro'
								FROM (
									SELECT MONTH(dt_vencimento) nr_mes
											,sum(vl_saldo) vl_total
										FROM erpc_financeiro_lancamentos 
										WHERE YEAR(dt_vencimento) = 2017 
										and erpc_financeiro_lancamentos.st_ativo=1
										and erpc_financeiro_lancamentos.id_tipo_titulo = $id_receita
										group by MONTH(dt_vencimento)
										order by MONTH(dt_vencimento)) as sub
									
							UNION 

							SELECT 
								SUM(IF(nr_mes =  '1', vl_total, 0)) AS 'janeiro',
								SUM(IF(nr_mes =  '2', vl_total, 0)) AS 'fevereiro',
								SUM(IF(nr_mes =  '3', vl_total, 0)) AS 'março',
								SUM(IF(nr_mes =  '4', vl_total, 0)) AS 'abril',
								SUM(IF(nr_mes =  '5', vl_total, 0)) AS 'maio',
								SUM(IF(nr_mes =  '6', vl_total, 0)) AS 'junho',
								SUM(IF(nr_mes =  '7', vl_total, 0)) AS 'julho',
								SUM(IF(nr_mes =  '8', vl_total, 0)) AS 'agosto',
								SUM(IF(nr_mes =  '9', vl_total, 0)) AS 'setembro',
								SUM(IF(nr_mes = '10', vl_total, 0)) AS 'outubro',
								SUM(IF(nr_mes = '11', vl_total, 0)) AS 'novembro',
								SUM(IF(nr_mes = '12', vl_total, 0)) AS 'dezembro'
								FROM (
									SELECT MONTH(dt_vencimento) nr_mes
											,sum(vl_saldo) vl_total
										FROM erpc_financeiro_lancamentos 
										WHERE YEAR(dt_vencimento) = 2017 
										and erpc_financeiro_lancamentos.st_ativo=1
										and erpc_financeiro_lancamentos.id_tipo_titulo = $id_despesa
										group by MONTH(dt_vencimento)
										order by MONTH(dt_vencimento)) as sub;"; 
*/

$consulta = "SELECT	id_tipo
					,janeiro
					,fevereiro
					,marco
					,abril
					,maio
					,junho
					,julho
					,agosto
					,setembro
					,outubro
					,novembro
					,dezembro
				FROM	vw_fluxo_caixa
				where 1
			;";

$vl_total = 0;

?>

<div class="block">
  <div class="header">
  <h2>Fluxo de Caixa</h2>
  </div>
  <div class="content">
  
  <!-- INICIO Chart -->
  
  <div class="block block-transparent"> 
					<div class=header> <h2>On/Off series</h2></div> 
					<div class="content controls"> 
						<div class=col-md-9> 
							<div id=chart_series_onoff style="height: 290px; width: 100%;"></div> 
						</div> 
						<div class=col-md-3> 
							<div class="block block-transparent">
								<div class="content controls" id=choices> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox>
												<input type=checkbox name=usa id=idusa> USA 
											</div> 
										</div> 
									</div> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=russia checked=checked id=idrussia> Russia 
											</div> 
										</div> 
									</div> 
									<!--div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=uk checked=checked id=iduk> UK 
											</div> 
										</div> 
									</div> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=germany checked=checked id=idgermany> Germany 
											</div> 
										</div> 
									</div> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=denmark checked=checked id=iddenmark> Denmark 
											</div> 
										</div> 
									</div> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=sweden checked=checked id=idsweden> Sweden 
											</div> 
										</div> 
									</div> 
									<div class=form-row> 
										<div class=col-md-12> 
											<div class=checkbox> 
												<input type=checkbox name=norway checked=checked id=idnorway> Norway 
											</div> 
										</div> 
									</div--> 
								</div> 
							</div> 
						</div> 
					</div> 
				</div> 
  
  <!-- FIM Chart -->

  </div> <!-- content -->
</div> <!-- block -->
<script type=text/javascript src=js/js2.js></script> 
<script type=text/javascript src=js/plugins/flot/jquery.flot.js></script> 
<?php include 'footer.php';?>
